2015/07/30
==========

Report for secureconfig - updates for Python3 functionality
-----------------------------------------------------------

SEE https://bitbucket.org/nthmost/python-secureconfig

Make these changes locally for testing in Python3

Intention is to submit fixes and make pull request, repackage as Py3 version for pip

setup.py
1. Update print statements in setup.py on lines 26, 34
2. Remove configparser from install_requires on line 53 (already in Python3)

secureconfig/json.py
3. Line 62: Fix print statement, add brackets
4. Line 67: Fix print statement, add brackets
5. Line 3: Change 'from baseclass' to 'from .baseclass' (Fixes ImportError)

secureconfig/secureconfigparser.py
6. Line 8: Change 'from ConfigParser' to 'from configparser' to reflect
   Python3 name change

secureconfig/cryptkeeper.py
7. Line 149: Change self.key to self.key.decode() since key is being returned
   as bytes under Python3 and can't be stored to the environment without being
   decoded
8. Line 150: Change self.key to self.key.decode() here too

secureconfig/secureconfigparser.py
9. Line 96 new_val = self.ck.sigil + self.ck.crypter.encrypt(new_val.encode()).decode()
   Add the encode()/decode(), new_val needs to be in bytes for encrypt method
   But note raw_get and raw_set will not work if you put it there

10. Line 70 return self.ck.crypter.decrypt(raw_val.split(self.ck.sigil)[1].encode())
    Add the decode()/encode(), raw_val needs to be in bytes for encrypt method




